Đến nội dung


Hình ảnh

chỉnh sửa dim kích thước


  • Please log in to reply
8 replies to this topic

#1 minhvan21287

minhvan21287

    biết vẽ pline

  • Members
  • PipPip
  • 64 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 22 December 2010 - 09:58 PM

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.
  • 0

#2 Tri

Tri

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 23 December 2010 - 10:07 AM

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

Bạn dùng lệnh Dimedit (tắt là Ded)

Command: ded DIMEDIT
Enter type of dimension editing [Home/New/Rotate/Oblique] <Home>: n -> gõ N
-> hộp Text Formating xuất hiện -> Bạn gõ <>

Select objects: Specify opposite corner: 5 found -> Quét chọn toàn bộ đối tượng DIM

Select objects: Enter

-> Xong
  • 6

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 23 December 2010 - 11:34 AM

Hoặc bạn có thể dùng lisp này cho tiện

(Defun c:rd ()
(setq Set1 (ssget '((0 . "DIMENSION"))))
(setq i 0)
(repeat (sslength Set1)
(setq newdimvalue "<>")
(command "dimedit" "n" newdimvalue set1 "")
(setq i (+ i 1))
(princ)
)
)

  • 6

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 Tri

Tri

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 24 (tàm tạm)

Đã gửi 23 December 2010 - 12:10 PM

Hoặc bạn có thể dùng lisp này cho tiện

(Defun c:rd ()
(setq Set1 (ssget '((0 . "DIMENSION"))))
(setq i 0)
(repeat (sslength Set1)
(setq newdimvalue "<>")
(command "dimedit" "n" newdimvalue set1 "")
(setq i (+ i 1))
(princ)
)
)

Mạn phép bac , xin sửa lại cho gọn :
(Defun c:rd ()    
(command "dimedit" "n" "<>" (ssget '((0 . "DIMENSION"))) "")
(princ)
)
PS: Các bác quan tâm, giúp đỡ em câu hỏi này với.
Hỏi về VBA-Bắt đầu học VBA-Bài viết số 12
Thanks
  • 5

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 23 December 2010 - 01:21 PM

Cám ơn bạn , nhìu khi cứ máy móc rồi tự làm nó rườm rà ra ^^
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 meocon_159

meocon_159

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 December 2010 - 09:25 AM

Vậy mà lâu nay mình không biết .
  • 0

#7 phamngocsang

phamngocsang

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 15 April 2011 - 01:50 PM

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.



Sử dụng lệnh QDim xem sao nhé !!!
  • 0

#8 vuhuyhung

vuhuyhung

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 April 2011 - 10:41 AM

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

Bạn vào Express/ Dimention/ Reset Dim Text Value sau đó chọn dim cần reset là ok
  • 1

#9 tinya1225

tinya1225

    biết lệnh copy

  • Members
  • PipPipPip
  • 114 Bài viết
Điểm đánh giá: 34 (tàm tạm)

Đã gửi 03 May 2011 - 11:37 AM

các bác ơi cho em hỏi đó là: em có một bản vẽ và bàn vẽ này thì bị ed hết kích thước rùi, giờ em muốn lấy lại kích thước thật của nó thì làm thế nào mà ko phải ngồi dim lại toàn bộ kích thước đó ạh.

dùng lệnh Dimreassoc cho nhanh :blink:
  • 0
Thấy bài có ích thì ấn thật nhiều Thank + các bác nhé^^